# Uses of Class
net.shibboleth.idp.attribute.DateTimeAttributeValue

Packages that use DateTimeAttributeValue
Package
Description
net.shibboleth.idp.attribute.resolver.ad.impl
Implementations of various `AttributeDefinition`s.
net.shibboleth.idp.saml.attribute.transcoding.impl
Implementations of SAML transcoders.

## Uses of DateTimeAttributeValue in net.shibboleth.idp.attribute.resolver.ad.impl

Methods in net.shibboleth.idp.attribute.resolver.ad.impl that return DateTimeAttributeValue
Modifier and Type
Method
Description
`protected DateTimeAttributeValue`
DateTimeAttributeDefinition.`convert(IdPAttributeValue input)`
Convert an input value into a `DateTimeAttributeValue` if possible.

## Uses of DateTimeAttributeValue in net.shibboleth.idp.saml.attribute.transcoding.impl

Methods in net.shibboleth.idp.saml.attribute.transcoding.impl with parameters of type DateTimeAttributeValue
Modifier and Type
Method
Description
`protected XMLObject`
SAML2DateTimeAttributeTranscoder.`encodeValue(ProfileRequestContext profileRequestContext, IdPAttribute attribute, TranscodingRule rule, DateTimeAttributeValue value)`
Encodes an attribute value into a SAML AttributeValue element.